use clap::{Args, ValueEnum};
use tool_helper::{Input, Output};

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ColorDepth {
    Clut4,
    Clut8,
    Full16,
}

#[derive(Args)]
pub struct Arguments {
    #[clap(arg_enum, value_parser)]
    color_depth: ColorDepth
}

pub fn convert(_input: Input, _output: Output) {
    println!("Bin ein Planschbecken!");
}